<?php
// Version: 2.0 RC4; Recent

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl;

	foreach ($context['posts'] as $post)
	{
		echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider"><a href="', $post['href'], '">#', $post['counter'], ' ', $post['subject'], '</a></li>';
		echo '
			<li>
				<div class="topic_starter_info ui-li-desc">
					', ucwords($txt['by']), ' ', $post['poster']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $post['timestamp']), ' ', $txt['in'], ' ', strtolower($txt['board']), ' : ', $post['board']['name'], '
				</div><hr />
				<p>', strip_tags($post['message'], '<div><strong><b><a>'), '</p>
			</li>';
		echo '
		</ul>';	
	}
}

function template_unread()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	if ($settings['show_mark_read'])
	{
		// Generate the button strip.
		$mark_read = array(
			'markread' => array('text' => !empty($context['no_board_limits']) ? 'mark_as_read' : 'mark_read_short', 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=' . (!empty($context['no_board_limits']) ? 'all' : 'board' . $context['querystring_board_limits']) . ';' . $context['session_var'] . '=' . $context['session_id'], 'icon' => 'delete'),
		);
	}

	if (!empty($context['topics']))
	{
		if (!empty($mark_read) && !empty($settings['use_tabs']))
			template_button_strip($mark_read, 'right');

		echo '
			<ul data-role="listview" data-inset="true">
				<li data-role="list-divider">', $txt['view_unread_category'], '</li>'; 

		foreach ($context['topics'] as $topic)
		{
			echo '
				<li data-theme="c"><a href="', $topic['first_post']['href'], '">';

			echo '
					<img src="', $topic['first_post']['icon_url'], '" alt="" class="ui-li-icon" />
					<div class="topic_starter_info ui-li-desc">
						', ucwords($txt['by']), ' ', $topic['first_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['first_post']['timestamp']), '
					</div>
					', $topic['first_post']['subject'], '</a>';
			if (!empty($topic['last_post']['id']) && $topic['last_post']['id'] != $topic['first_post']['id'])
					echo '
				<p class="last_post">', $txt['last_post'], ' ', $txt['by'], ' ', $topic['last_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['last_post']['timestamp']), '</p>';
			echo '
				</a><a href="', $topic['last_post']['href'], '">new</a></li>';
		}
		echo '
			</ul>';
	}
	else
		echo '
			<div class="cat_bar">
				<h3 class="catbg centertext">
					', $context['showing_all_topics'] ? $txt['msg_alert_none'] : $txt['unread_topics_visit_none'], '
				</h3>
			</div>';
}

function template_replies()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	if (isset($context['topics_to_mark']) && !empty($settings['show_mark_read']))
	{
		// Generate the button strip.
		$mark_read = array(
			'markread' => array('text' => 'mark_as_read', 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=unreadreplies;topics=' . $context['topics_to_mark'] . ';' . $context['session_var'] . '=' . $context['session_id']),
		);

		if ($showCheckboxes)
			$mark_read['markselectread'] = array(
				'text' => 'quick_mod_markread',
				'image' => 'markselectedread.gif',
				'lang' => true,
				'url' => 'javascript:document.quickModForm.submit();',
			);
	}

	if (!empty($context['topics']))
	{
		if (!empty($mark_read) && !empty($settings['use_tabs']))
			template_button_strip($mark_read, 'right');

		echo '
			<ul data-role="listview" data-inset="true">
				<li data-role="list-divider">', $txt['unread_replies'], '</li>'; 

		foreach ($context['topics'] as $topic)
		{
			echo '
				<li data-theme="c"><a href="', $topic['first_post']['href'], '">';

			echo '
					<img src="', $topic['first_post']['icon_url'], '" alt="" class="ui-li-icon" />
					<div class="topic_starter_info ui-li-desc">
						', ucwords($txt['by']), ' ', $topic['first_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['first_post']['timestamp']), '
					</div>
					', $topic['first_post']['subject'];
			if (!empty($topic['last_post']['id']) && $topic['last_post']['id'] != $topic['first_post']['id'])
					echo '
				<p class="last_post">', $txt['last_post'], ' ', $txt['by'], ' ', $topic['last_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['last_post']['timestamp']), '</p>';
			echo '
				</a><a href="', $topic['last_post']['href'], '">new</a></li>';
		}
		echo '
			</ul>';
	}
	else
		echo '
			<div class="cat_bar">
				<h3 class="catbg centertext">
					', $context['showing_all_topics'] ? $txt['msg_alert_none'] : $txt['unread_topics_visit_none'], '
				</h3>
			</div>';}

?>