<?php
// Version: 2.0 RC4; Who

// The only template in the file.
function template_main()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Display the table header and linktree.
	echo '
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider">', $txt['who_title'], '</li>';

	foreach ($context['members'] as $member)
	{
		if ($member['is_guest'])
			echo '
		<li data-theme="c">
			<h3>', $member['name'], '</h3>';
		else
			echo '
		<li data-theme="c">
			<a href="' . $member['href'] . '" title="' . $txt['profile_of'] . ' ' . $member['name'] . '">
				<h3>
					<span style="color: ' . $member['color'] . '"', '>' . $member['name'] . '</span>
				</h3>';


		echo '
			<p>
				', strip_tags($member['action']), '
				<div class="smalltext">', $member['time'], '</div>
			</p>
		', $member['is_guest'] ? '' : '</a>', '</li>';
	}

	// No members?
	if (empty($context['members']))
	{
		echo '
		<li>
			', $txt['who_no_online_' . ($context['show_by'] == 'guests' || $context['show_by'] == 'spiders' ? $context['show_by'] : 'members')], '
		</li>';
	}

	echo '
	</ul>
	<form action="', $scripturl, '?action=who" method="post" id="whosFilter" style="text-align: center;">
		<select name="show" onchange="$.mobile.changePage(smf_scripturl + \'?action=who;show=\' + $(this).val());">';

	foreach ($context['show_methods'] as $value => $label)
		echo '
			<option value="', $value, '" ', $value == $context['show_by'] ? ' selected="selected"' : '', '>', $label, '</option>';
	echo '
		</select>
	</form>';
}?>